メインコンテンツまでスキップ

Get user details by criteria

GET 
/scim/v2/Users

Gets information for a user, filtered by specified criteria.

You must filter the response by this SCIM 2.0 filter criteria:

  • externalId eq "value" – Find user by external ID.
  • emails.value eq "email@example.com" – Find user by email address.

Returns a maximum of one user. If multiple users match the filter, returns an error.

Request

Query Parameters

    filter stringrequired

    Possible values: [externalId eq "string", emails.value eq "email@example.com"]

    SCIM 2.0 filter expression. Supported filters:

    • externalId eq "external-id-value"
    • emails.value eq "user@example.com"
    Examples:

    Description: Filter by external ID.

    Example: externalId eq "ext-123"

Responses

Users found successfully

Schema

    schemas string[]required
    totalResults integerrequired

    Total number of results.

    startIndex integerrequired

    1-based index of the first result.

    itemsPerPage integerrequired

    Number of results per page.

    Resources

    object[]

    required

  • Array [

  • schemas string[]required
    id string

    Encrypted account ID (external format).

    externalId string

    External identifier for the user.

    userName string

    Unique username for the user.

    name

    object

    SCIM Name complex type

    formatted string

    Full name.

    familyName string

    Family name. Also known as last name.

    givenName string

    Given name. Also known as first name.

    middleName string

    Middle name.

    honorificPrefix string

    Honorific prefix, such as Mr. or Dr.

    honorificSuffix string

    Honorific suffix, such as Jr. or Sr.

    displayName string

    Display name for the user.

    emails

    object[]

  • Array [

  • value emailrequired

    Email address.

    type string

    Possible values: [work, home, other]

    Email type.

    primary boolean

    Indicates whether this email is the primary email.

  • ]

  • active boolean

    Indicates whether the user account is active.

    meta

    object

    SCIM Meta complex type

    resourceType string

    Resource type.

    created date-time

    Creation timestamp.

    lastModified date-time

    Last modification timestamp.

    location uri

    Resource location URL.

    version string

    Resource version/ETag.

    urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg

    object

    Indeed-specific employer organization extension

    id string

    Employer organization ID.

    roles string[]

    Possible values: [admin]

    User roles within the employer organization:

    • admin: Organization administrator
    • Empty array or null: Basic member
  • ]

Loading...

このページは役に立ちましたか?